"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.html = void 0;
/**
 * Intended for use as a tag function of a Tagged Template String.
 * When called as such the first argument will be a well formed template call site object
 * and the rest parameter will contain the substitution values.
 *
 *
 * @param template A well-formed template string call site representation.
 *
 * @param substitutions A set of substitution values.
 *
 * @example
 * let param = 'World';
 * const myLitTemp = html`<h1>Hello ${param}</h1>`;
 */
exports.html = String.raw;
Array.prototype.flatten = function (fn) {
    var _self = this;
    return _self.map(fn).join('');
};
//# sourceMappingURL=index.js.map